#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <stdint.h>
#include <spi.h>
#include <assert.h>

#define CONFIG_MAGIC 0xdead0003

typedef struct __attribute__((__packed__)) s_configBlock {
    uint32_t configMagic;
    char deviceName[16];
    uint8_t macAddress[6];
    uint8_t filler[6];
} t_configBlock;


void configInit();
t_configBlock* getConfig();

#endif /* _CONFIG_H_ */
